from __future__ import print_function

import argparse
import glob
import os
import shutil
import subprocess
import sys

parser = argparse.ArgumentParser()
parser.add_argument("--hdr",
                    action="store",
                    required=True,
                    help="ENVI image header file for time cube")
parser.add_argument("--output",
                    action="store",
                    required=True,
                    help="Output filename")
parser.add_argument("images",
                    nargs="+",
                    action="store",
                    help="images to concatanate")
args = parser.parse_args()

if not args.images:
    print("No images given!", file=sys.stderr)
    sys.exit(1)

images = list()
for image in args.images:
    globResult = glob.glob(image)
    globResult.sort()
    images = images + globResult

with open(args.output, "wb") as output:
    for imgFile in images:
        with open(imgFile, "rb") as img:
            output.write(img.read())

shutil.copyfile(args.hdr, args.output + ".hdr")
